@import "../../../../assets/scss/themes";
@import "../../../../assets/scss/variables";
@import "../../../../assets/scss/mixins";

.modal {
    display: block;
    max-width: 100%;
    font-size: 1rem;
    @include themify($themes) {
        background: rgba(themed('baseColorDark'), .5);
        .modal-header {
            color: themed('baseColorLight');
            background: themed('baseColorDark');
        }
        .close {
            color: themed('baseColorLight');
        }
        .modal-body {
            background: themed('baseColorLight');
            color: themed('baseColorDark');
        }
    }

    .modal-dialog {
        max-width: 800px;
        height: 80%;
    }

    .modal-header {
        padding: 0.5rem 1rem;
        .modal-title {
            font-size: 1.2em;
        }

        .close {
            text-shadow: none;
        }
    }

    .modal-body.no-footer {
        border-bottom-left-radius: .3rem;
        border-bottom-right-radius: .3rem;
    }

    &.fixed-height {
        .modal-dialog{
            overflow-y: initial !important
        }
        .modal-body{
            height: 500px;
            overflow-y: auto;
        }
    }
}
